import { MacroEditorBase } from "../../../Views/Editor/MacroEditorBase.js";
export declare enum RichTextEditorEvents {
    BackgroundColorNeeded = "background-color/needed",
    BackgroundColorUpdate = "background-color/update"
}
export declare class RichTextEditor extends MacroEditorBase {
    private m_mce;
    private get containerNode();
    private get mceNode();
    private get mce();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    focus(): void;
    onViewResized(): void;
    private editor_init;
    private editor_loadContent;
    private editor_onChange;
    private setMceBackgroundColor;
    private setMceInitialBackgroundColor;
    private editor_size;
}
